<?php
namespace boru\boruai\Openai\Response\Parts\Content;

use boru\boruai\Openai\Models\BaseModel;

class Refusal extends BaseModel {
    private $type = "refusal";
    private $refusal;

    public function type($type=null) {
        if ($type) {
            $this->type = $type;
        }
        return $this->type;
    }
    public function refusal($refusal=null) {
        if ($refusal) {
            $this->refusal = $refusal;
        }
        return $this->refusal;
    }
    public function toArray() {
        $array = [
            "type" => $this->type(),
            "refusal" => $this->refusal(),
        ];
        return $array;
    }
}